Loading...
Searching...
No Matches
BALL::GAFFCESParser::TruePredicate Class Reference

`#include <BALL/MOLMEC/AMBER/GAFFCESParser.h>`

Inheritance diagram for BALL::GAFFCESParser::TruePredicate:

## Public Member Functions

| TruePredicate (GAFFCESParser *parser)
| ~TruePredicate ()
bool | match (Atom &)
Public Member Functions inherited from BALL::GAFFCESParser::CESPredicate
| CESPredicate (GAFFCESParser *parser)
virtual | ~CESPredicate ()
void | initStringToWildcard ()
std::map< String, CESwildcards > | getStringToWildcard ()
void | addCESwildcardsConnectionPredicate (String wildcard, Size partners)
void | addCESwildcardsPredicate (String wildcard)
void | addCESelementPredicate (String name)
void | addCESelementConnectionPredicate (Size partners, String name)
void | addTruePredicate () const
virtual bool | operator() (Atom &atom)
void | clear ()
bool | alreadySeenThisAtom (Atom *atom)
void | addNewAND ()
void | addNewOR (APSMatcher::APSType aps, int feature_number)

## Additional Inherited Members

Public Types inherited from BALL::GAFFCESParser::CESPredicate
enum | CESwildcards { XA , XB , XC , XD , XX }
Public Attributes inherited from BALL::GAFFCESParser::CESPredicate
APSMatcher | aps_matcher
std::vector< CESPredicate * > | children
CESPredicate * | parent
Atom * | atom_to_test
Protected Attributes inherited from BALL::GAFFCESParser::CESPredicate
std::map< String, CESwildcards > | stringToWildcard_
GAFFCESParser * | parser_

## Detailed Description

Definition at line 276 of file GAFFCESParser.h.

## Constructor & Destructor Documentation

## TruePredicate()

BALL::GAFFCESParser::TruePredicate::TruePredicate | ( | GAFFCESParser * | parser | ) |

inline

Definition at line 279 of file GAFFCESParser.h.

## ~TruePredicate()

BALL::GAFFCESParser::TruePredicate::~TruePredicate | ( |  | ) |

inline

Definition at line 282 of file GAFFCESParser.h.

## Member Function Documentation

## match()

bool BALL::GAFFCESParser::TruePredicate::match | ( | Atom & |  | ) |

inline virtual

Reimplemented from BALL::GAFFCESParser::CESPredicate.

Definition at line 284 of file GAFFCESParser.h.